#delimit;
set more 1;
set memory 950m;
log using fixedweight_long.log, replace;

*USES TOTAL HOURS WORKED BY MEN & WOMEN FROM 1960-2006 TO CALCULATE FIXED WEIGHTS;
*SO PERCENT OF WOMEN IN "LABOR FORCE" WILL BE THE SAME IN EACH YEAR;

use table4_count.dta, clear;
keep if survey<=2000 | survey==2006;
*keep if imm==0;
generate immigf=immig-immigm;
generate nativef=native-nativem;
collapse (sum) immigm nativem immigf nativef, by(edcode expcode);

generate malen=nativem/(nativem+nativef);
generate malei=immigm/(immigm+immigf);

keep edcode expcode malen malei;
sort edcode expcode;
save fixedweight.dta, replace;

rename malen male0;
rename malei male1;
reshape long male,i(edcode expcode) j(imm);
sort imm edcode expcode;
save fixedweights_long;


log close;
